loci.formats

## Class Memoizer.KryoDeser

- java.lang.Object
- - loci.formats.Memoizer.KryoDeser

- All Implemented Interfaces:
    Memoizer.Deser
  Enclosing class:
    Memoizer

      public static class Memoizer.KryoDeser
      extends java.lang.Object
      implements Memoizer.Deser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.io.FileInputStream` | `fis`
    `(package private) java.io.FileOutputStream` | `fos`
    `(package private) com.esotericsoftware.kryo.io.Input` | `input`
    `com.esotericsoftware.kryo.Kryo` | `kryo`
    `(package private) com.esotericsoftware.kryo.io.Output` | `output`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KryoDeser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `IFormatReader` | `loadReader()`
    `java.lang.String` | `loadReleaseVersion()`
    `java.lang.String` | `loadRevision()`
    `void` | `loadStart(java.io.File memoFile)`
    `void` | `loadStop()`
    `java.lang.Integer` | `loadVersion()`
    `void` | `saveReader(IFormatReader reader)`
    `void` | `saveReleaseVersion(java.lang.String version)`
    `void` | `saveRevision(java.lang.String revision)`
    `void` | `saveStart(java.io.File tempFile)`
    `void` | `saveStop()`
    `void` | `saveVersion(java.lang.Integer version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kryo

          public final com.esotericsoftware.kryo.Kryo kryo

    - #### fis

          java.io.FileInputStream fis

    - #### fos

          java.io.FileOutputStream fos

    - #### input

          com.esotericsoftware.kryo.io.Input input

    - #### output

          com.esotericsoftware.kryo.io.Output output

  - ### Constructor Detail

    - #### KryoDeser

          public KryoDeser()

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `Memoizer.Deser`

    - #### loadStart

          public void loadStart(java.io.File memoFile)
                         throws java.io.FileNotFoundException

      Specified by:
        `loadStart` in interface `Memoizer.Deser`
      Throws:
        `java.io.FileNotFoundException`

    - #### loadVersion

          public java.lang.Integer loadVersion()

      Specified by:
        `loadVersion` in interface `Memoizer.Deser`

    - #### loadReleaseVersion

          public java.lang.String loadReleaseVersion()

      Specified by:
        `loadReleaseVersion` in interface `Memoizer.Deser`

    - #### loadRevision

          public java.lang.String loadRevision()

      Specified by:
        `loadRevision` in interface `Memoizer.Deser`

    - #### loadReader

          public IFormatReader loadReader()

      Specified by:
        `loadReader` in interface `Memoizer.Deser`

    - #### loadStop

          public void loadStop()

      Specified by:
        `loadStop` in interface `Memoizer.Deser`

    - #### saveStart

          public void saveStart(java.io.File tempFile)
                         throws java.io.FileNotFoundException

      Specified by:
        `saveStart` in interface `Memoizer.Deser`
      Throws:
        `java.io.FileNotFoundException`

    - #### saveVersion

          public void saveVersion(java.lang.Integer version)

      Specified by:
        `saveVersion` in interface `Memoizer.Deser`

    - #### saveReleaseVersion

          public void saveReleaseVersion(java.lang.String version)

      Specified by:
        `saveReleaseVersion` in interface `Memoizer.Deser`

    - #### saveRevision

          public void saveRevision(java.lang.String revision)

      Specified by:
        `saveRevision` in interface `Memoizer.Deser`

    - #### saveReader

          public void saveReader(IFormatReader reader)

      Specified by:
        `saveReader` in interface `Memoizer.Deser`

    - #### saveStop

          public void saveStop()

      Specified by:
        `saveStop` in interface `Memoizer.Deser`

Copyright © 2026 Open Microscopy Environment